import request from '@/utils/request'
// 员工列表
export function userList(params) {
  return request({
    url: '/user/userList',
    method: 'get',
    params
  })
}

// 员工添加
export function add(data) {
  return request({
    url: '/user/add',
    method: 'post',
    data
  })
}

// 编辑用户
export function edit(data) {
  return request({
    url: '/user/edit',
    method: 'post',
    data
  })
}

// 删除用户
export function del(data) {
  return request({
    url: '/user/del',
    method: 'delete',
    data
  })
}

// 编辑用户
export function setting(data) {
  return request({
    url: '/user/setting',
    method: 'post',
    data
  })
}

// 黑钻收支明细
export function diamondList(params) {
  return request({
    url: '/user/diamondList',
    method: 'get',
    params
  })
}
// 返佣查询
export function rebateList(params) {
  return request({
    url: '/user/rebateList',
    method: 'get',
    params
  })
}
// 返佣查询
export function getRebate(params) {
  return request({
    url: '/user/getRebate',
    method: 'get',
    params
  })
}
// 返佣设置
export function editRebate(data) {
  return request({
    url: '/user/editRebate',
    method: 'post',
    data
  })
}
// 修改上级员工
export function editLeader(data) {
  return request({
    url: '/user/editLeader',
    method: 'post',
    data
  })
}
// 修改会员账号启用状态
export function changeStatus(data) {
  return request({
    url: '/user/changeStatus',
    method: 'post',
    data
  })
}
// 修改测试账号状态
export function changeTestStatus(data) {
  return request({
    url: '/user/changeTestStatus',
    method: 'post',
    data
  })
}
// 用户操作日志
export function logs(params) {
  return request({
    url: '/user/logs',
    method: 'get',
    params
  })
}

// 登录日志
export function loginLogs(params) {
  return request({
    url: '/user/loginLogs',
    method: 'get',
    params
  })
}


// 查看用户的返佣明细列表
export function rebateDetail(params) {
  return request({
    url: '/user/rebateDetail',
    method: 'get',
    params
  })
}

// 好友列表
export function friendList(params) {
  return request({
    url: '/user/friendList',
    method: 'get',
    params
  })
}

// 获取产生利益明细
export function getEarnings(params) {
  return request({
    url: '/user/getEarnings',
    method: 'get',
    params
  })
}

// 礼包领取记录
export function sendLog(params) {
  return request({
    url: '/game/sendLog',
    method: 'get',
    params
  })
}