import request from '@/utils/request'

export function getMenu(params) {
  return request({
    url: '/menu/getMenu',
    method: 'get',
    params
  })
}

export function roleList(params) {
  return request({
    url: '/menu/roleList',
    method: 'get',
    params
  })
}

export function editRole(data) {
    return request({
      url: '/menu/editRole',
      method: 'post',
      data
    })
}

export function addRole(data) {
  return request({
    url: '/menu/addRole',
    method: 'post',
    data
  })
}

export function delRole(data) {
  return request({
    url: '/menu/delRole',
    method: 'delete',
    data
  })
}