import Cookies from 'js-cookie'

const TokenKey = 'agent_token'
const RETokenKey = 'agent_refreshtoken'

export function getToken() {
  return Cookies.get(TokenKey)
}

export function setToken(token) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getREToken() {
  return Cookies.get(RETokenKey)
}

export function setREToken(token) {
  return Cookies.set(RETokenKey, token)
}

export function removeREToken() {
  return Cookies.remove(RETokenKey)
}

