export const asyncRouter = [
    {
        id: 0,
        path: '/',
        redirect: '/home',
        meta: { title: '系统首页', icon: 'icon-shouyefill' },
        alwaysShow: true,
        children: [
            {
                id: 1,
                path: '/home',
                name: '/home',
                meta: { title: '系统首页', icon: '' },
            },
            {
                id: 2,
                path: '/home/accountSetting',
                name: '/home/accountSetting',
                meta: { title: '账户设置', icon: '' },
            },
        ]
    },
    {
        id: 3,
        path: '/announcementManage',
        meta: { title: '公告管理', icon: 'icon-xinwen' },
        alwaysShow: true,
        children: [
            {
                id: 4,
                path: '/announcementManage',
                name: '/announcementManage',
                meta: { title: '公告列表', icon: '' },
            },
            // {
            //     id: 5,
            //     path: '/announcementManage/addAnnouncement',
            //     name: '/announcementManage/addAnnouncement',
            //     meta: { title: '发布公告', icon: '', activeMenu: '/announcementManage' },
            //     hidden: true
            // },
        ]
    },
    {
        id: 6,
        path: '/emailManage',
        meta: { title: '邮件管理', icon: 'icon-duanxinyingxiao' },
        alwaysShow: true,
        children: [
            {
                id: 7,
                path: '/emailManage',
                name: '/emailManage',
                meta: { title: '邮件列表', icon: '' },
            },
            // {
            //     id: 8,
            //     path: '/emailManage/sendEmail',
            //     name: '/emailManage/sendEmail',
            //     meta: { title: '发送邮件', icon: '', activeMenu: '/emailManage' },
            //     hidden: true
            // },
        ]
    },
    // {
    //     id: 9,
    //     path: '/articleManage',
    //     meta: { title: '文章管理', icon: 'icon-bianjiwenzhang_huaban' },
    //     alwaysShow: true,
    //     children: [
    //         {
    //             id: 10,
    //             path: '/articleManage',
    //             name: '/articleManage',
    //             meta: { title: '游戏攻略', icon: '' },
    //         },
    //     ]
    // },
    {
        id: 11,
        path: '/memberManage',
        meta: { title: '会员管理', icon: 'icon-guanliyuan_jiaoseguanli' },
        alwaysShow: true,
        children: [
            {
                id: 12,
                path: '/memberManage/memberList',
                name: '/memberManage/memberList',
                meta: { title: '会员列表', icon: '' },
            },
            {
                id: 13,
                path: '/memberManage/memberDetail',
                name: '/memberManage/memberDetail',
                hidden: true
            },
            {
                id: 14,
                path: '/memberManage/diamondIncome',
                name: '/memberManage/diamondIncome',
                meta: { title: '黑钻收支明细', icon: '' },
            },
            {
                id: 15,
                path: '/memberManage/rebateList',
                name: '/memberManage/rebateList',
                meta: { title: '返佣查询', icon: '' },
            },
            {
                id: 16,
                path: '/memberManage/rebateDetail',
                name: '/memberManage/rebateDetail',
                meta: { title: '返佣明细', icon: '', activeMenu: '/memberManage/rebateList' },
                hidden: true
            },
            {
                id: 17,
                path: '/memberManage/earningsDetail',
                name: '/memberManage/earningsDetail',
                meta: { title: '产生收益明细', icon: '', activeMenu: '/memberManage/rebateList' },
                hidden: true
            },
        ]
    },
    // {
    //     id: 18,
    //     path: '/gameManage',
    //     meta: { title: '游戏管理', icon: 'icon-youxi' },
    //     alwaysShow: true,
    //     children: [
    //         {
    //             id: 19,
    //             path: '/gameManage/kittyLevel',
    //             name: '/gameManage/kittyLevel',
    //             meta: { title: '猫咪品级管理', icon: '' },
    //         },
    //         {
    //             id: 20,
    //             path: '/gameManage/kittyMarket',
    //             name: '/gameManage/kittyMarket',
    //             meta: { title: '猫市列表', icon: '' },
    //         },
    //         {
    //             id: 21,
    //             path: '/gameManage/cattery',
    //             name: '/gameManage/cattery',
    //             meta: { title: '猫窝管理', icon: '' },
    //         },
    //         {
    //             id: 22,
    //             path: '/gameManage/propManage',
    //             name: '/gameManage/propManage',
    //             meta: { title: '道具管理', icon: '' },
    //         },
    //         {
    //             id: 23,
    //             path: '/gameManage/goodsManage',
    //             name: '/gameManage/goodsManage',
    //             meta: { title: '物品管理', icon: '' },
    //         },
    //         {
    //             id: 24,
    //             path: '/gameManage/dailyGift',
    //             name: '/gameManage/dailyGift',
    //             meta: { title: '每日礼包', icon: '' },
    //         },
    //         {
    //             id: 25,
    //             path: '/gameManage/gameSetting',
    //             name: '/gameManage/gameSetting',
    //             meta: { title: '游戏设置', icon: '' },
    //         },
    //     ]
    // },
    {
        id: 26,
        path: '/stateManage',
        meta: { title: '报表统计', icon: 'icon-baobiao' },
        alwaysShow: true,
        children: [
            {
                id: 27,
                path: '/stateManage/businessReport',
                name: '/stateManage/businessReport',
                meta: { title: '业务报表', icon: '' },
            },
            {
                id: 28,
                path: '/stateManage/agentList',
                name: '/stateManage/agentList',
                meta: { title: '业务报表（代理）', icon: '', activeMenu: '/stateManage/businessReport' },
                hidden: true
            },
            {
                id: 29,
                path: '/stateManage/groupLeader',
                name: '/stateManage/groupLeader',
                meta: { title: '业务报表（组长）', icon: '', activeMenu: '/stateManage/businessReport' },
                hidden: true
            },
            {
                id: 30,
                path: '/stateManage/groupMembers',
                name: '/stateManage/groupMembers',
                meta: { title: '业务报表（组员）', icon: '', activeMenu: '/stateManage/businessReport' },
                hidden: true
            },
            {
                id: 31,
                path: '/stateManage/memberList',
                name: '/stateManage/memberList',
                meta: { title: '查看明细', icon: '', activeMenu: '/stateManage/businessReport' },
                hidden: true
            },
            {
                id: 32,
                path: '/stateManage/memberStatistics',
                name: '/stateManage/memberStatistics',
                meta: { title: '会员每日统计', icon: '', },
            },
        ]
    },
    {
        id: 33,
        path: '/financeManage',
        meta: { title: '财务管理', icon: 'icon-caidancaiwu' },
        alwaysShow: true,
        children: [
            {
                id: 34,
                path: '/financeManage/withdrawApply',
                name: '/financeManage/withdrawApply',
                meta: { title: '提现申请', icon: '' },
            },
            // {
            //     id: 35,
            //     path: '/financeManage/serviceCharge',
            //     name: '/financeManage/serviceCharge',
            //     meta: { title: '提现手续费设置', icon: '' },
            // },
            {
                id: 40,
                path: '/financeManage/userRecharge',
                name: '/financeManage/userRecharge',
                meta: { title: '充值列表', icon: '' },
            },
        ]
    },
    {
        id: 36,
        path: '/adminManage',
        meta: { title: '权限管理', icon: 'icon-shezhi' },
        alwaysShow: true,
        children: [
            {
                id: 37,
                path: '/adminManage/adminList',
                name: '/adminManage/adminList',
                meta: { title: '员工管理', icon: '' },
            },
            // {
            //     id: 38,
            //     path: '/adminManage/roleList',
            //     name: '/adminManage/roleList',
            //     meta: { title: '权限列表', icon: '' },
            // },

        ]
    },

]